# Absences

Group: People Management

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/hrAbsences)

An absence is an employee's leave request over a date range.

Each absence has an absence type. An absence's status shows where the leave request is in the approval process. Possible values: 'requested', 'approved', 'rejected', 'canceled'.

## Endpoints

- [List absences](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/absences.html): `GET /people/absences`
- [Create an absence](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createAbsence.html): `POST /people/absences`
- [Approve absence requests](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/approveAbsences.html): `POST /people/absences/approve`
- [Reject absence requests](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/rejectAbsences.html): `POST /people/absences/reject`
- [Search absences](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchAbsences.html): `POST /people/absences/search`
- [Retrieve an absence](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getAbsence.html): `GET /people/absences/{id}`
- [Update an absence](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updateAbsence.html): `PATCH /people/absences/{id}`
- [Delete or cancel an absence](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/deleteAbsence.html): `DELETE /people/absences/{id}`
